"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = ErrorList;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _semanticUiReact = require("semantic-ui-react");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function ErrorList(props) {
  var errors = props.errors;

  return _react2.default.createElement(
    "div",
    null,
    _react2.default.createElement(
      _semanticUiReact.Form,
      { error: true },
      _react2.default.createElement(
        _semanticUiReact.Message,
        { error: true },
        _react2.default.createElement(
          "div",
          { className: "panel-heading" },
          _react2.default.createElement(
            "h3",
            { className: "panel-title" },
            "Errors"
          )
        ),
        _react2.default.createElement(
          _semanticUiReact.List,
          { bulleted: true },
          errors.map(function (error, i) {
            return _react2.default.createElement(
              _semanticUiReact.ListItem,
              { key: i },
              _react2.default.createElement(
                "span",
                { className: "error" },
                error.stack
              )
            );
          })
        )
      )
    ),
    _react2.default.createElement(_semanticUiReact.Divider, { hidden: true })
  );
}